Pivotal Knowledge Base


Importing installation in Operations Manager 1.10.0 might fail with a NilClass error


  • Pivotal Operations Manager Version 1.10.0
  • Pivotal Metrics Version 1.3.0


Importing Operations Manager installation.zip could fail with the following NilClass error when upgrading from Operations Manager 1.9 with Metrics version 1.3.0 to Operations Manager 1.10.0.



This problem will happen under the following conditions:

  • Operator installed Metrics tile 1.2 and disabled one of the following errands
    • migrate-db
    • push-apm-ui
    • ui-smoke-tests
  • Operator upgrades Metrics tile from 1.2 to 1.3.0. In 1.3 these errands no longer exist
  • Operator proceeds to upgrade Operations Manager from 1.9 to 1.10.0

In Metrics tile version 1.3.0, the referenced errands are removed or replaced, but Operations Manager still has a reference to them because they are disabled.


Upgrade to Operations Manager 1.10.1 or above. With the fix, Operations Manager will remove the old deprecated errands from the tile and the installation.zip will import the operation.


Powered by Zendesk